Index: drivers/dahdi/wct4xxp/base.c
===================================================================
--- drivers/dahdi/wct4xxp/base.c	(revision 4608)
+++ drivers/dahdi/wct4xxp/base.c	(working copy)
@@ -2907,7 +2907,7 @@
 
 	if (unlikely((wc->intcount < 20) && debug))
 
-		printk("2G: Got interrupt, status = %08x, CIS = %04x\n", status, t4_framer_in(wc, 0, FRMR_CIS));
+		printk(KERN_INFO "2G: Got interrupt, status = %08x, CIS = %04x\n", status, t4_framer_in(wc, 0, FRMR_CIS));
 
 	if (likely(status & 0x2)) {
 #ifdef ENABLE_WORKQUEUES
@@ -3023,7 +3023,7 @@
 		t4_vpm_out(wc, x, 0xC4, (threshold >> 8) & 0xFF);
 		t4_vpm_out(wc, x, 0xC5, (threshold & 0xFF));
 	}
-	printk("VPM: DTMF threshold set to %d\n", threshold);
+	printk(KERN_INFO "VPM: DTMF threshold set to %d\n", threshold);
 }
 
 static unsigned int t4_vpm_mask(int chip)
@@ -3092,7 +3092,7 @@
 #endif
 
 	if (!vpmsupport) {
-		printk("VPM450: Support Disabled\n");
+		printk(KERN_INFO "VPM450: Support Disabled\n");
 		return;
 	}
 
@@ -3103,9 +3103,9 @@
 	check1 = __t4_raw_oct_in(wc, 0x0004);
 	check2 = __t4_raw_oct_in(wc, 0x000a);
 	if (debug)
-		printk("OCT Result: %04x/%04x\n", __t4_raw_oct_in(wc, 0x0004), __t4_raw_oct_in(wc, 0x000a));
+		printk(KERN_DEBUG "OCT Result: %04x/%04x\n", __t4_raw_oct_in(wc, 0x0004), __t4_raw_oct_in(wc, 0x000a));
 	if (__t4_raw_oct_in(wc, 0x0004) != 0x1234) {
-		printk("VPM450: Not Present\n");
+		printk(KERN_NOTICE "VPM450: Not Present\n");
 		return;
 	}
 
@@ -3120,7 +3120,7 @@
 #if defined(HOTPLUG_FIRMWARE)
 		if ((request_firmware(&firmware, oct064_firmware, &wc->dev->dev) != 0) ||
 		    !firmware) {
-			printk("VPM450: firmware %s not available from userspace\n", oct064_firmware);
+			printk(KERN_NOTICE "VPM450: firmware %s not available from userspace\n", oct064_firmware);
 			return;
 		}
 #else
@@ -3138,7 +3138,7 @@
 #if defined(HOTPLUG_FIRMWARE)
 		if ((request_firmware(&firmware, oct128_firmware, &wc->dev->dev) != 0) ||
 		    !firmware) {
-			printk("VPM450: firmware %s not available from userspace\n", oct128_firmware);
+			printk(KERN_NOTICE "VPM450: firmware %s not available from userspace\n", oct128_firmware);
 			return;
 		}
 #else
@@ -3153,12 +3153,12 @@
 #endif
 		break;
 	default:
-		printk("Unsupported channel capacity found on VPM module (%d).\n", vpm_capacity);
+		printk(KERN_NOTICE "Unsupported channel capacity found on VPM module (%d).\n", vpm_capacity);
 		return;
 	}
 
 	if (!(wc->vpm450m = init_vpm450m(wc, laws, wc->numspans, firmware))) {
-		printk("VPM450: Failed to initialize\n");
+		printk(KERN_NOTICE "VPM450: Failed to initialize\n");
 		if (firmware != &embedded_firmware)
 			release_firmware(firmware);
 		return;
@@ -3168,12 +3168,12 @@
 		release_firmware(firmware);
 
 	if (vpmdtmfsupport == -1) {
-		printk("VPM450: hardware DTMF disabled.\n");
+		printk(KERN_NOTICE "VPM450: hardware DTMF disabled.\n");
 		vpmdtmfsupport = 0;
 	}
 
 	wc->vpm = T4_VPM_PRESENT;
-	printk("VPM450: Present and operational servicing %d span(s)\n", wc->numspans);
+	printk(KERN_INFO "VPM450: Present and operational servicing %d span(s)\n", wc->numspans);
 		
 }
 
@@ -3185,7 +3185,7 @@
 	unsigned int i, x, y, gen2vpm=0;
 
 	if (!vpmsupport) {
-		printk("VPM400: Support Disabled\n");
+		printk(KERN_INFO "VPM400: Support Disabled\n");
 		return;
 	}
 
@@ -3195,7 +3195,7 @@
 	case 1:
 		break;
 	default:
-		printk("VPM400: %d is not a valid vpmspans value, using 4\n", vpmspans);
+		printk(KERN_NOTICE "VPM400: %d is not a valid vpmspans value, using 4\n", vpmspans);
 		vpmspans = 4;
 	}
 
@@ -3206,18 +3206,18 @@
 
 		ver = t4_vpm_in(wc, x, 0x1a0); /* revision */
 		if ((ver != 0x26) && (ver != 0x33)) {
-			printk("VPM400: %s\n", x ? "Inoperable" : "Not Present");
+			printk(KERN_NOTICE "VPM400: %s\n", x ? "Inoperable" : "Not Present");
 			return;
 		}
 		if (ver == 0x33) {
 			if (x && !gen2vpm) {
-				printk("VPM400: Inconsistent\n");
+				printk(KERN_NOTICE "VPM400: Inconsistent\n");
 				return;
 			}
 			ts->spanflags |= FLAG_VPM2GEN;
 			gen2vpm++;
 		} else if (gen2vpm) {
-			printk("VPM400: Inconsistent\n");
+			printk(KERN_NOTICE "VPM400: Inconsistent\n");
 			return;
 		}
 
@@ -3250,11 +3250,11 @@
 		reg &= 0xE0;
 		if (ts->spantype == TYPE_E1) {
 			if (x < vpmspans)
-				printk("VPM400: Span %d A-law mode\n", spanno);
+				printk(KERN_INFO "VPM400: Span %d A-law mode\n", spanno);
 			reg |= 0x01;
 		} else {
 			if (x < vpmspans)
-				printk("VPM400: Span %d U-law mode\n", spanno);
+				printk(KERN_INFO "VPM400: Span %d U-law mode\n", spanno);
 			reg &= ~0x01;
 		}
 		t4_vpm_out(wc,x,0x20,(reg | 0x20));
@@ -3310,10 +3310,10 @@
 
 	} 
 	if (vpmdtmfsupport == -1) {
-		printk("VPM400: hardware DTMF enabled.\n");
+		printk(KERN_INFO "VPM400: hardware DTMF enabled.\n");
 		vpmdtmfsupport = 0;
 	}
-	printk("VPM400%s: Present and operational servicing %d span(s)\n", (gen2vpm ? " (2nd Gen)" : ""), wc->numspans);
+	printk(KERN_INFO "VPM400%s: Present and operational servicing %d span(s)\n", (gen2vpm ? " (2nd Gen)" : ""), wc->numspans);
 	wc->vpm = T4_VPM_PRESENT;
 }
 
@@ -3367,7 +3367,7 @@
 	wc->dmactrl |= (0x00004000 | (tots << 7));
 	__t4_pci_out(wc, WC_DMACTRL, wc->dmactrl);
 	if (debug & DEBUG_TSI)
-		printk("Sending '%08x\n", wc->dmactrl);
+		printk(KERN_DEBUG "Sending '%08x\n", wc->dmactrl);
 	wc->dmactrl &= ~0x00007fff;
 	__t4_pci_out(wc, WC_DMACTRL, wc->dmactrl);
 	spin_unlock_irqrestore(&wc->reglock, flags);
@@ -3378,9 +3378,9 @@
 	unsigned int version;
 
 	version = t4_pci_in(wc, WC_VERSION);
-  	printk("TE%dXXP version %08x, burst %s\n", wc->numspans, version, (!(cardflags & FLAG_BURST) && noburst) ? "OFF" : "ON");
+  	printk(KERN_INFO "TE%dXXP version %08x, burst %s\n", wc->numspans, version, (!(cardflags & FLAG_BURST) && noburst) ? "OFF" : "ON");
 #ifdef ENABLE_WORKQUEUES
-	printk("TE%dXXP running with work queues.\n", wc->numspans);
+	printk(KERN_INFO "TE%dXXP running with work queues.\n", wc->numspans);
 #endif
 
 	/* Make sure DMA engine is not running and interrupts are acknowledged */
@@ -3420,7 +3420,7 @@
 
 	if (t4_pci_in(wc, WC_VERSION) >= 0xc01a0165) {
 		wc->tspans[0]->spanflags |= FLAG_OCTOPT;
-		printk("Octasic optimized!\n");		
+		printk(KERN_INFO "Octasic optimized!\n");		
 	}
 	/* Setup LEDS, take out of reset */
 	t4_pci_out(wc, WC_LEDS, 0x000000ff);
@@ -3428,10 +3428,10 @@
 	
 	t4_framer_out(wc, 0, 0x4a, 0xaa);
 	falcver = t4_framer_in(wc, 0 ,0x4a);
-	printk("FALC version: %08x, Board ID: %02x\n", falcver, wc->order);
+	printk(KERN_INFO "FALC version: %08x, Board ID: %02x\n", falcver, wc->order);
 
 	for (x=0;x< 11;x++)
-		printk("Reg %d: 0x%08x\n", x, t4_pci_in(wc, x));
+		printk(KERN_INFO "Reg %d: 0x%08x\n", x, t4_pci_in(wc, x));
 	return 0;
 }
 
@@ -3441,7 +3441,7 @@
 	unsigned long flags;
 	if (wc->tspans[0]->span.flags & DAHDI_FLAG_REGISTERED)
 		return 0;
-	printk("TE%dXXP: Launching card: %d\n", wc->numspans, wc->order);
+	printk(KERN_INFO "TE%dXXP: Launching card: %d\n", wc->numspans, wc->order);
 
 	/* Setup serial parameters and system interface */
 	for (x=0;x<4;x++)
@@ -3540,12 +3540,12 @@
 	wc->last0 = 1;
 #if 0
 	if (!request_mem_region(wc->memaddr, wc->memlen, wc->variety))
-		printk("wct4: Unable to request memory region :(, using anyway...\n");
+		printk(KERN_INFO "wct4: Unable to request memory region :(, using anyway...\n");
 #endif
 	if (pci_request_regions(pdev, wc->variety))
-		printk("wct%dxxp: Unable to request regions\n", wc->numspans);
+		printk(KERN_INFO "wct%dxxp: Unable to request regions\n", wc->numspans);
 	
-	printk("Found TE%dXXP at base address %08lx, remapped to %p\n", wc->numspans, wc->memaddr, wc->membase);
+	printk(KERN_INFO "Found TE%dXXP at base address %08lx, remapped to %p\n", wc->numspans, wc->memaddr, wc->membase);
 	
 	wc->dev = pdev;
 	
@@ -3553,7 +3553,7 @@
 		/* 32 channels, Double-buffer, Read/Write, 4 spans */
 		(unsigned int *)pci_alloc_consistent(pdev, basesize * 2, &wc->writedma);
 	if (!wc->writechunk) {
-		printk("wct%dxxp: Unable to allocate DMA-able memory\n", wc->numspans);
+		printk(KERN_NOTICE "wct%dxxp: Unable to allocate DMA-able memory\n", wc->numspans);
 		return -ENOMEM;
 	}
 	
@@ -3588,7 +3588,7 @@
 	}
 	
 	if (x >= MAX_T4_CARDS) {
-		printk("No cards[] slot available!!\n");
+		printk(KERN_NOTICE "No cards[] slot available!!\n");
 		kfree(wc);
 		return -ENOMEM;
 	}
@@ -3644,14 +3644,14 @@
 	if (request_irq(pdev->irq, (dt->flags & FLAG_2NDGEN) ? t4_interrupt_gen2 : t4_interrupt, DAHDI_IRQ_SHARED_DISABLED, (wc->numspans == 2) ? "wct2xxp" : "wct4xxp", wc)) 
 #else
 		if (!(wc->tspans[0]->spanflags & FLAG_2NDGEN)) {
-			printk("This driver does not support 1st gen modules\n");
+			printk(KERN_NOTICE "This driver does not support 1st gen modules\n");
 			free_wc(wc);
 			return -ENODEV;
 		}	
 	if (request_irq(pdev->irq, t4_interrupt_gen2, DAHDI_IRQ_SHARED_DISABLED, "t4xxp", wc)) 
 #endif
 	{
-		printk("t4xxp: Unable to request IRQ %d\n", pdev->irq);
+		printk(KERN_NOTICE "t4xxp: Unable to request IRQ %d\n", pdev->irq);
 		free_wc(wc);
 		return -EIO;
 	}
@@ -3676,7 +3676,7 @@
 			break;
 	}
 	
-	printk("Found a Wildcard: %s\n", wc->variety);
+	printk(KERN_INFO "Found a Wildcard: %s\n", wc->variety);
 	wc->gpio = 0x00000000;
 	t4_pci_out(wc, WC_GPIO, wc->gpio);
 	t4_gpio_setdir(wc, (1 << 17), (1 << 17));
@@ -3687,9 +3687,9 @@
 		__t4_raw_oct_out(wc, 0x0004, x);
 		__t4_raw_oct_out(wc, 0x000a, x ^ 0xffff);
 		if (__t4_raw_oct_in(wc, 0x0004) != x) 
-			printk("Register 4 failed %04x\n", x);
+			printk(KERN_DEBUG "Register 4 failed %04x\n", x);
 		if (__t4_raw_oct_in(wc, 0x000a) != (x ^ 0xffff))
-			printk("Register 10 failed %04x\n", x);
+			printk(KERN_DEBUG "Register 10 failed %04x\n", x);
 	}
 #endif
 
@@ -3717,7 +3717,7 @@
 	t4_pci_out(wc, WC_GPIO, wc->gpio);
 	t4_pci_out(wc, WC_LEDS, 0x00000000);
 
-	printk("\nStopped TE%dXXP, Turned off DMA\n", wc->numspans);
+	printk(KERN_NOTICE "\nStopped TE%dXXP, Turned off DMA\n", wc->numspans);
 	return 0;
 }
 
Index: drivers/dahdi/dahdi_dynamic_loc.c
===================================================================
--- drivers/dahdi/dahdi_dynamic_loc.c	(revision 4608)
+++ drivers/dahdi/dahdi_dynamic_loc.c	(working copy)
@@ -153,7 +153,7 @@
 	}
 	spin_unlock_irqrestore(&zlock, flags);
 	if (cur == z) {
-		printk("TDMoL: Removed interface for %s, key %d id %d\n", z->span->name, z->key, z->id);
+		printk(KERN_INFO "TDMoL: Removed interface for %s, key %d id %d\n", z->span->name, z->key, z->id);
 		module_put(THIS_MODULE);
 		kfree(z);
 	}
@@ -195,12 +195,12 @@
 		for (l = zdevs; l; l = l->next)
 			if (l->key == z->key) {
 				if (l->id == z->id) {
-					printk ("TDMoL: Duplicate id (%d) for key %d\n", z->id, z->key);
+					printk(KERN_DEBUG "TDMoL: Duplicate id (%d) for key %d\n", z->id, z->key);
 					goto CLEAR_AND_DEL_FROM_PEERS;
 				}
 				if (monitor == -1) {
 					if (l->peer) {
-						printk ("TDMoL: Span with key %d and id %d already has a R/W peer\n", z->key, z->id);
+						printk(KERN_DEBUG "TDMoL: Span with key %d and id %d already has a R/W peer\n", z->key, z->id);
 						goto CLEAR_AND_DEL_FROM_PEERS;
 					} else {
 						l->peer = z;
@@ -209,7 +209,7 @@
 				}
 				if (monitor == l->id) {
 					if (l->monitor_rx_peer) {
-						printk ("TDMoL: Span with key %d and id %d already has a monitoring peer\n", z->key, z->id);
+						printk(KERN_DEBUG "TDMoL: Span with key %d and id %d already has a monitoring peer\n", z->key, z->id);
 						goto CLEAR_AND_DEL_FROM_PEERS;
 					} else {
 						l->monitor_rx_peer = z;
@@ -220,9 +220,9 @@
 		zdevs = z;
 		spin_unlock_irqrestore(&zlock, flags);
 		if(!try_module_get(THIS_MODULE))
-			printk("TDMoL: Unable to increment module use count\n");
+			printk(KERN_DEBUG "TDMoL: Unable to increment module use count\n");
 
-		printk("TDMoL: Added new interface for %s, key %d id %d\n", span->name, z->key, z->id);
+		printk(KERN_INFO "TDMoL: Added new interface for %s, key %d id %d\n", span->name, z->key, z->id);
 	}
 	return z;
 
@@ -237,7 +237,7 @@
 	return NULL;
 	
 INVALID_ADDRESS:
-	printk ("TDMoL: Invalid address %s\n", address);
+	printk (KERN_NOTICE "TDMoL: Invalid address %s\n", address);
 	return NULL;
 }
 
Index: drivers/dahdi/dahdi_transcode.c
===================================================================
--- drivers/dahdi/dahdi_transcode.c	(revision 4608)
+++ drivers/dahdi/dahdi_transcode.c	(working copy)
@@ -114,7 +114,7 @@
 
 	tc->next = trans;
 	trans = tc;
-	printk("Registered codec translator '%s' with %d transcoders (srcs=%08x, dsts=%08x)\n", 
+	printk(KERN_INFO "Registered codec translator '%s' with %d transcoders (srcs=%08x, dsts=%08x)\n", 
 	       tc->name, tc->numchannels, tc->srcfmts, tc->dstfmts);
 	res = 0;
 	spin_unlock(&translock);
@@ -144,7 +144,7 @@
 	else
 		trans = tc->next;
 	tc->next = NULL;
-	printk("Unregistered codec translator '%s' with %d transcoders (srcs=%08x, dsts=%08x)\n", 
+	printk(KERN_INFO "Unregistered codec translator '%s' with %d transcoders (srcs=%08x, dsts=%08x)\n", 
 	       tc->name, tc->numchannels, tc->srcfmts, tc->dstfmts);
 	res = 0;
 	spin_unlock(&translock);
@@ -156,7 +156,7 @@
 int dahdi_transcoder_alert(struct dahdi_transcoder_channel *ztc)
 {
 	if (debug)
-		printk("DAHDI Transcoder Alert!\n");
+		printk(KERN_DEBUG "DAHDI Transcoder Alert!\n");
 	if (ztc->tch)
 		ztc->tch->status &= ~DAHDI_TC_FLAG_BUSY;
 	wake_up_interruptible(&ztc->ready);
@@ -183,7 +183,7 @@
 	ztc->flags = DAHDI_TC_FLAG_TRANSIENT | DAHDI_TC_FLAG_BUSY;
 	ztc->tch = zth;
 	if (debug)
-		printk("Allocated Transcoder Channel, header is at %p!\n", zth);
+		printk(KERN_DEBUG "Allocated Transcoder Channel, header is at %p!\n", zth);
 	zth->magic = DAHDI_TRANSCODE_MAGIC;
 	file->private_data = ztc;
 	for (page = virt_to_page(zth);
@@ -217,7 +217,7 @@
 	if (ztc->flags & DAHDI_TC_FLAG_TRANSIENT)
 		kfree(ztc);
 	if (debug)
-		printk("Released Transcoder!\n");
+		printk(KERN_DEBUG "Released Transcoder!\n");
 }
 
 static int dahdi_tc_release(struct inode *inode, struct file *file)
@@ -328,7 +328,7 @@
 		return -EFAULT;
 
 	if (debug)
-		printk("DAHDI Transcode ioctl op = %d!\n", op);
+		printk(KERN_DEBUG "DAHDI Transcode ioctl op = %d!\n", op);
 
 	switch(op) {
 	case DAHDI_TCOP_GETINFO:
@@ -378,13 +378,13 @@
 	/* Do not allow an offset */
 	if (vma->vm_pgoff) {
 		if (debug)
-			printk("zttranscode: Attempted to mmap with offset!\n");
+			printk(KERN_DEBUG "zttranscode: Attempted to mmap with offset!\n");
 		return -EINVAL;
 	}
 
 	if ((vma->vm_end - vma->vm_start) != sizeof(struct dahdi_transcode_header)) {
 		if (debug)
-			printk("zttranscode: Attempted to mmap with size %d != %zd!\n", (int) (vma->vm_end - vma->vm_start), sizeof(struct dahdi_transcode_header));
+			printk(KERN_DEBUG "zttranscode: Attempted to mmap with size %d != %zd!\n", (int) (vma->vm_end - vma->vm_start), sizeof(struct dahdi_transcode_header));
 		return -EINVAL;
 	}
 
@@ -400,12 +400,12 @@
 #endif
 	if (res) {
 		if (debug)
-			printk("zttranscode: remap failed!\n");
+			printk(KERN_DEBUG "zttranscode: remap failed!\n");
 		return -EAGAIN;
 	}
 
 	if (debug)
-		printk("zttranscode: successfully mapped transcoder!\n");
+		printk(KERN_DEBUG "zttranscode: successfully mapped transcoder!\n");
 
 	return 0;
 }
@@ -446,7 +446,7 @@
 	int res;
 
 	if (dahdi_transcode_fops) {
-		printk("Whoa, dahdi_transcode_fops already set?!\n");
+		printk(KERN_NOTICE "Whoa, dahdi_transcode_fops already set?!\n");
 		return -EBUSY;
 	}
 
@@ -455,7 +455,7 @@
 	if ((res = dahdi_register_chardev(&transcode_chardev)))
 		return res;
 
-	printk("DAHDI Transcoder support loaded\n");
+	printk(KERN_INFO "DAHDI Transcoder support loaded\n");
 
 	return 0;
 }
@@ -466,7 +466,7 @@
 
 	dahdi_transcode_fops = NULL;
 
-	printk("DAHDI Transcoder support unloaded\n");
+	printk(KERN_INFO "DAHDI Transcoder support unloaded\n");
 }
 
 module_param(debug, int, S_IRUGO | S_IWUSR);
Index: drivers/dahdi/wcte11xp.c
===================================================================
--- drivers/dahdi/wcte11xp.c	(revision 4608)
+++ drivers/dahdi/wcte11xp.c	(working copy)
@@ -309,7 +309,7 @@
 static inline void __t1_framer_out(struct t1 *wc, const unsigned int reg, const unsigned int val)
 {
 	if (debug > 1)
-		printk("Writing %02x to address %02x\n", val, reg);
+		printk(KERN_DEBUG "Writing %02x to address %02x\n", val, reg);
 	__select_framer(wc, reg);
 	/* Send address */
 	outb(val, wc->ioaddr + WC_USERREG + ((reg & 0xf) << 2));
@@ -321,13 +321,13 @@
 	__t1_pci_out(wc, WC_LADDR, (unit << 8) | (addr & 0xff) | (1 << 10));
 	__t1_pci_out(wc, WC_LADDR, (unit << 8) | (addr & 0xff));	
 	__t1_pci_out(wc, WC_LADDR, 0);
-	if (debug) printk("Write complete\n");
+	if (debug) printk(KERN_DEBUG "Write complete\n");
 #endif	
 #if 0
 	{ unsigned int tmp;
 	tmp = t1_framer_in(wc, unit, addr);
 	if (tmp != value) {
-		printk("Expected %d from unit %d register %d but got %d instead\n", value, unit, addr, tmp);
+		printk(KERN_DEBUG "Expected %d from unit %d register %d but got %d instead\n", value, unit, addr, tmp);
 	} }
 #endif	
 }
@@ -349,7 +349,7 @@
 		kfree(wc->chans[x]);
 	}
 	kfree(wc);
-	printk("Freed a Wildcard\n");
+	printk(KERN_INFO "Freed a Wildcard\n");
 }
 
 static int t1xxp_close(struct dahdi_chan *chan)
@@ -372,7 +372,7 @@
 	outb(0x3c /* 0x3f */, wc->ioaddr + WC_MASK0); 
 	/* No external interrupts */
 	outb(0x00, wc->ioaddr + WC_MASK1);
-	if (debug) printk("Enabled interrupts!\n");
+	if (debug) printk(KERN_DEBUG "Enabled interrupts!\n");
 }
 
 static void t1xxp_start_dma(struct t1 *wc)
@@ -383,7 +383,7 @@
 	schedule_timeout(1);
 	outb(DELAY | 0x01, wc->ioaddr + WC_CNTL);
 	outb(0x01, wc->ioaddr + WC_OPER);
-	if (debug) printk("Started DMA\n");
+	if (debug) printk(KERN_DEBUG "Started DMA\n");
 	outb(0x03, wc->ioaddr + WC_OPER);
 	outb(0x01, wc->ioaddr + WC_OPER);
 }
@@ -409,7 +409,7 @@
 			val |= 1 << (7 - (i % 8));
 		if ((i % 8)==7) {
 			if (debug > 1)
-				printk("Putting %d in register %02x\n",
+				printk(KERN_DEBUG "Putting %d in register %02x\n",
 			       val, 0x2f + j);
 			__t1_framer_out(wc, 0x2f + j, val);
 			val = 0;
@@ -453,37 +453,37 @@
 	if (wc->spantype == TYPE_E1) {
 		switch(cmd) {
 		case DAHDI_MAINT_NONE:
-			printk("XXX Turn off local and remote loops E1 XXX\n");
+			printk(KERN_INFO "XXX Turn off local and remote loops E1 XXX\n");
 			break;
 		case DAHDI_MAINT_LOCALLOOP:
-			printk("XXX Turn on local loopback E1 XXX\n");
+			printk(KERN_INFO "XXX Turn on local loopback E1 XXX\n");
 			break;
 		case DAHDI_MAINT_REMOTELOOP:
-			printk("XXX Turn on remote loopback E1 XXX\n");
+			printk(KERN_INFO "XXX Turn on remote loopback E1 XXX\n");
 			break;
 		case DAHDI_MAINT_LOOPUP:
-			printk("XXX Send loopup code E1 XXX\n");
+			printk(KERN_INFO "XXX Send loopup code E1 XXX\n");
 			break;
 		case DAHDI_MAINT_LOOPDOWN:
-			printk("XXX Send loopdown code E1 XXX\n");
+			printk(KERN_INFO "XXX Send loopdown code E1 XXX\n");
 			break;
 		case DAHDI_MAINT_LOOPSTOP:
-			printk("XXX Stop sending loop codes E1 XXX\n");
+			printk(KERN_INFO "XXX Stop sending loop codes E1 XXX\n");
 			break;
 		default:
-			printk("TE110P: Unknown E1 maint command: %d\n", cmd);
+			printk(KERN_NOTICE "TE110P: Unknown E1 maint command: %d\n", cmd);
 			break;
 		}
 	} else {
 		switch(cmd) {
 	    case DAHDI_MAINT_NONE:
-			printk("XXX Turn off local and remote loops T1 XXX\n");
+			printk(KERN_INFO "XXX Turn off local and remote loops T1 XXX\n");
 			break;
 	    case DAHDI_MAINT_LOCALLOOP:
-			printk("XXX Turn on local loop and no remote loop XXX\n");
+			printk(KERN_INFO "XXX Turn on local loop and no remote loop XXX\n");
 			break;
 	    case DAHDI_MAINT_REMOTELOOP:
-			printk("XXX Turn on remote loopup XXX\n");
+			printk(KERN_INFO "XXX Turn on remote loopup XXX\n");
 			break;
 	    case DAHDI_MAINT_LOOPUP:
 			t1_framer_out(wc, 0x21, 0x50);	/* FMR5: Nothing but RBS mode */
@@ -495,7 +495,7 @@
 			t1_framer_out(wc, 0x21, 0x40);	/* FMR5: Nothing but RBS mode */
 			break;
 	    default:
-			printk("TE110P: Unknown T1 maint command: %d\n", cmd);
+			printk(KERN_NOTICE "TE110P: Unknown T1 maint command: %d\n", cmd);
 			break;
 	   }
     }
@@ -509,7 +509,7 @@
 	struct t1 *wc = chan->pvt;
 	unsigned long flags;
 	
-	if(debug > 1) printk("Setting bits to %d on channel %s\n", bits, chan->name);
+	if(debug > 1) printk(KERN_DEBUG "Setting bits to %d on channel %s\n", bits, chan->name);
 	spin_lock_irqsave(&wc->lock, flags);	
 	if (wc->spantype == TYPE_E1) { /* do it E1 way */
 		if (chan->chanpos == 16) {
@@ -550,7 +550,7 @@
 	} 
 	spin_unlock_irqrestore(&wc->lock, flags);
 	if (debug > 1)
-		printk("Finished setting RBS bits\n");
+		printk(KERN_DEBUG "Finished setting RBS bits\n");
 	return 0;
 }
 
@@ -649,7 +649,7 @@
 
 static void t4_serial_setup(struct t1 *wc)
 {
-	printk("TE110P: Setting up global serial parameters for %s %s\n", 
+	printk(KERN_INFO "TE110P: Setting up global serial parameters for %s %s\n", 
 	       wc->spantype == TYPE_E1 ? (unchannelized ? "Unchannelized E1" : "E1") : "T1", 
 		   wc->spanflags & FLAG_FALC12 ? "FALC V1.2" : "FALC V2.2");
 	t1_framer_out(wc, 0x85, 0xe0);	/* GPC1: Multiplex mode enabled, FSC is output, active low, RCLK from channel 0 */
@@ -697,7 +697,7 @@
 	t1_framer_out(wc, 0x84, 0x31);	/* PC5: XMFS active low, SCLKR is input, RCLK is output */
 	t1_framer_out(wc, 0x86, 0x03);	/* PC6: CLK1 is Tx Clock output, CLK2 is 8.192 Mhz from DCO-R */
 	t1_framer_out(wc, 0x3b, 0x00);	/* Clear LCR1 */
-	printk("TE110P: Successfully initialized serial bus for card\n");
+	printk(KERN_INFO "TE110P: Successfully initialized serial bus for card\n");
 }
 
 static void __t1_configure_t1(struct t1 *wc, int lineconfig, int txlevel)
@@ -782,7 +782,7 @@
 		__t1_framer_out(wc, 0x28, 0x01);	/* XPM2 */
 		break;
 	}
-	printk("TE110P: Span configured for %s/%s\n", framing, line);
+	printk(KERN_INFO "TE110P: Span configured for %s/%s\n", framing, line);
 }
 
 static void __t1_configure_e1(struct t1 *wc, int lineconfig)
@@ -859,7 +859,7 @@
 	__t1_framer_out(wc, 0x26, 0x54);	/* XPM0 */
 	__t1_framer_out(wc, 0x27, 0x02);	/* XPM1 */
 	__t1_framer_out(wc, 0x28, 0x00);	/* XPM2 */
-	printk("TE110P: Span configured for %s/%s%s\n", framing, line, crc4);
+	printk(KERN_INFO "TE110P: Span configured for %s/%s%s\n", framing, line, crc4);
 }
 
 static void t1xxp_framer_start(struct t1 *wc, struct dahdi_span *span)
@@ -900,7 +900,7 @@
 
 	/* Reset framer with proper parameters and start */
 	t1xxp_framer_start(wc, span);
-	printk("Calling startup (flags is %d)\n", span->flags);
+	printk(KERN_INFO "Calling startup (flags is %d)\n", span->flags);
 
 	if (!alreadyrunning) {
 		/* Only if we're not already going */
@@ -1012,7 +1012,7 @@
 		wc->chans[x]->chanpos = x + 1;
 	}
 	if (dahdi_register(&wc->span, 0)) {
-		printk("Unable to register span with DAHDI\n");
+		printk(KERN_NOTICE "Unable to register span with DAHDI\n");
 		return -1;
 	}
 	return 0;
@@ -1117,10 +1117,10 @@
 	oldcan = *canary;
 	if (((oldcan & 0xffff0000) >> 16) != CANARY) {
 		/* Check top part */
-		if (debug) printk("Expecting top %04x, got %04x\n", CANARY, (oldcan & 0xffff0000) >> 16);
+		if (debug) printk(KERN_DEBUG "Expecting top %04x, got %04x\n", CANARY, (oldcan & 0xffff0000) >> 16);
 		wc->span.irqmisses++;
 	} else if ((oldcan & 0xffff) != ((wc->canary - 1) & 0xffff)) {
-		if (debug) printk("Expecting bottom %d, got %d\n", wc->canary - 1, oldcan & 0xffff);
+		if (debug) printk(KERN_DEBUG "Expecting bottom %d, got %d\n", wc->canary - 1, oldcan & 0xffff);
 		wc->span.irqmisses++;
 	}
 	for (y=0;y<DAHDI_CHUNKSIZE;y++) {
@@ -1138,7 +1138,7 @@
 						control_set_reg(wc, WC_CLOCK, 0x06 | wc->sync | clockextra);
 						wc->clocktimeout = 100;
 #if 1
-						if (debug) printk("T1: Lost our place, resyncing\n");
+						if (debug) printk(KERN_DEBUG "T1: Lost our place, resyncing\n");
 #endif
 					}
 				}
@@ -1147,7 +1147,7 @@
 			if (!wc->clocktimeout && !wc->span.alarms) {
 				if ((rxbuf[32 * y + ((3 + WC_OFFSET + wc->offset) & 0x1f)] & 0x7f) != 0x1b) {
 					if (wc->miss) {
-						if (debug) printk("Double miss (%d, %d)...\n", wc->misslast, rxbuf[32 * y + ((3 + WC_OFFSET + wc->offset) & 0x1f)]);
+						if (debug) printk(KERN_DEBUG "Double miss (%d, %d)...\n", wc->misslast, rxbuf[32 * y + ((3 + WC_OFFSET + wc->offset) & 0x1f)]);
 						control_set_reg(wc, WC_CLOCK, 0x06 | wc->sync | clockextra);
 						wc->clocktimeout = 100;
 					} else {
@@ -1205,7 +1205,7 @@
 			if (!(wc->spanflags & FLAG_NMF)) {
 				__t1_framer_out(wc, 0x20, 0x9f | 0x20);	/* LIM0: Force RAI High */
 				wc->spanflags |= FLAG_NMF;
-				printk("NMF workaround on!\n");
+				printk(KERN_DEBUG "NMF workaround on!\n");
 			}
 			__t1_framer_out(wc, 0x1e, 0xc3);	/* Reset to CRC4 mode */
 			__t1_framer_out(wc, 0x1c, 0xf2);	/* Force Resync */
@@ -1214,7 +1214,7 @@
 			if ((wc->spanflags & FLAG_NMF)) {
 				__t1_framer_out(wc, 0x20, 0x9f);	/* LIM0: Clear forced RAI */
 				wc->spanflags &= ~FLAG_NMF;
-				printk("NMF workaround off!\n");
+				printk(KERN_DEBUG "NMF workaround off!\n");
 			}
 		}
 	} else {
@@ -1274,7 +1274,7 @@
 	if (alarms && !(wc->spanflags & FLAG_SENDINGYELLOW)) {
 		unsigned char fmr4;
 #if 1
-		printk("wcte1xxp: Setting yellow alarm\n");
+		printk(KERN_INFO "wcte1xxp: Setting yellow alarm\n");
 #endif
 		/* We manually do yellow alarm to handle RECOVER and NOTOPEN, otherwise it's auto anyway */
 		fmr4 = __t1_framer_in(wc, 0x20);
@@ -1283,7 +1283,7 @@
 	} else if ((!alarms) && (wc->spanflags & FLAG_SENDINGYELLOW)) {
 		unsigned char fmr4;
 #if 1
-		printk("wcte1xxp: Clearing yellow alarm\n");
+		printk(KERN_INFO "wcte1xxp: Clearing yellow alarm\n");
 #endif
 		/* We manually do yellow alarm to handle RECOVER  */
 		fmr4 = __t1_framer_in(wc, 0x20);
@@ -1333,7 +1333,7 @@
 	outb(ints, wc->ioaddr + WC_INTSTAT);
 
 	if (!wc->intcount) {
-		if (debug) printk("Got interrupt: 0x%04x\n", ints);
+		if (debug) printk(KERN_DEBUG "Got interrupt: 0x%04x\n", ints);
 	}
 	wc->intcount++;
 
@@ -1372,10 +1372,10 @@
 	}
 	
 	if (ints & 0x10) 
-		printk("PCI Master abort\n");
+		printk(KERN_NOTICE "PCI Master abort\n");
 
 	if (ints & 0x20)
-		printk("PCI Target abort\n");
+		printk(KERN_NOTICE "PCI Target abort\n");
 
 	return IRQ_RETVAL(1);
 }
@@ -1418,7 +1418,7 @@
 	/* Second frame */
 	outl(wc->readdma + DAHDI_CHUNKSIZE * 32 * 2 - 4, wc->ioaddr + WC_DMARE);	/* End */
 	
-	if (debug) printk("Setting up DMA (write/read = %08lx/%08lx)\n", (long)wc->writedma, (long)wc->readdma);
+	if (debug) printk(KERN_DEBUG "Setting up DMA (write/read = %08lx/%08lx)\n", (long)wc->writedma, (long)wc->readdma);
 
 	if (t1e1override > -1) {
 		if (t1e1override)
@@ -1433,7 +1433,7 @@
 	}
 
 	/* Check out the controller */
-	if (debug) printk("Controller version: %02x\n", control_get_reg(wc, WC_VERSION));
+	if (debug) printk(KERN_DEBUG "Controller version: %02x\n", control_get_reg(wc, WC_VERSION));
 
 
 	control_set_reg(wc, WC_LEDTEST, 0x00);
@@ -1453,12 +1453,12 @@
 	for (x=0;x<256;x++) {
 		t1_framer_out(wc, 0x14, x);
 		if ((falcver = t1_framer_in(wc, 0x14)) != x) 
-			printk("Wrote '%x' but read '%x'\n", x, falcver);
+			printk(KERN_DEBUG "Wrote '%x' but read '%x'\n", x, falcver);
 	}
 	
 	t1_framer_out(wc, 0x4a, 0xaa);
 	falcver = t1_framer_in(wc ,0x4a);
-	printk("FALC version: %08x\n", falcver);
+	printk(KERN_INFO "FALC version: %08x\n", falcver);
 	if (!falcver)
 		wc->spanflags |= FLAG_FALC12;
 	
@@ -1491,7 +1491,7 @@
 		/* 32 channels, Double-buffer, Read/Write */
 		(unsigned char *)pci_alloc_consistent(pdev, DAHDI_MAX_CHUNKSIZE * 32 * 2 * 2, &wc->writedma);
 	if (!wc->writechunk) {
-				printk("wcte11xp: Unable to allocate DMA-able memory\n");
+				printk(KERN_NOTICE "wcte11xp: Unable to allocate DMA-able memory\n");
 				return -ENOMEM;
 	}
 	
@@ -1514,7 +1514,7 @@
 	pci_set_drvdata(pdev, wc);
 	
 	if (request_irq(pdev->irq, t1xxp_interrupt, DAHDI_IRQ_SHARED_DISABLED, "wcte11xp", wc)) {
-		printk("wcte11xp: Unable to request IRQ %d\n", pdev->irq);
+		printk(KERN_NOTICE "wcte11xp: Unable to request IRQ %d\n", pdev->irq);
 		kfree(wc);
 		return -EIO;
 	}
@@ -1539,7 +1539,7 @@
 	/* Misc. software stuff */
 	t1xxp_software_init(wc);
 	
-	printk("Found a Wildcard: %s\n", wc->variety);
+	printk(KERN_INFO "Found a Wildcard: %s\n", wc->variety);
 
 	return 0;
 }
